﻿.login-page {
  text-align: center;
}

.welcome-heading {
  margin-top: 20px;
  font-size: 26px;
  font-weight: 700;
  line-height: 36px;
  color: var(--primary-100);
}

.welcome-description {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 40px;
}

.login-buttons {
  display: flex;
  gap: 24px 40px;
  max-width: 940px;
  flex-wrap: wrap;
  margin: 0 auto;
}

@media (max-width: 1200px) {
  .login-buttons {
    max-width: 500px;
    justify-content: center;
  }
}

.login-accordion {
  position: relative;
  width: 450px;
  box-shadow: 0 4px 4px #c6c8ca;
  color: #434a4f;
  background-color: var(--neutral-0);
}

.login-accordion.margin-bottom {
  margin-bottom: 15px;
}
.login-accordion-header {
  height: 64px;
  font-size: 20px;
  margin: 0;
}
.login-accordion-header button {
  border: none;
  width: 100%;
  background: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}
.login-accordion-header.gray-out {
  color: var(--neutral-60);
}
.login-accordion-header.gray-out .login-icon-personal {
  background-image: url(../images/login_personal_gray.svg);
}
.login-accordion-header.gray-out .login-icon-corporate {
  background-image: url(../images/login_corporate_gray.svg);
}
.login-type-icon {
  margin: 22px;
  margin-right: 5px;
  background-repeat: no-repeat;
  height: 20px;
  width: 20px;
}
.login-type-icon.login-icon-personal {
  background-image: url(../images/login_personal.svg);
}
.login-type-icon.login-icon-corporate {
  background-image: url(../images/login_corporate.svg);
}
.login-arrow-icon {
  padding: 0 14px;
  height: 12px;
}
.login-header-text {
  font-size: 20px;
  text-align: left;
  display: flex;
  align-items: center;
}
#login-selector {
  max-width: 860px;
  margin-left: auto;
  margin-right: auto;
}

.login-wide-button {
  width: 100%;
  max-width: 340px;
}

.login-select {
  width: 100%;
  max-width: 340px;
  margin: 10px;
}

#login-corporate-mandate {
  margin: 10px 0 11px 0;
  font-size: 16px;
  text-align: center;
  font-weight: 300;
}

.login-accordion-content {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
  background-color: white;
  box-shadow: 0 4px 4px #c6c8ca;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 45px;
  box-sizing: border-box;
  z-index: 10;
}

.login-info {
  margin: 60px auto 0;
  font-weight: 300;
  text-align: left;
  max-width: 620px;
}

.login-description-bold {
  font-weight: 500;
  color: var(--primary-120);
}

.login-cant-login {
  font-weight: 300;
  margin: 20px auto 0;
}

.modal-close {
  float: right;
}

.modal-header {
  font-size: 18px;
  font-weight: bold;
  margin: 12px 0 5px 0;
}

.modal-text {
  font-weight: 300;
}

.modal {
  display: none;
  position: fixed;
  z-index: 20;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  padding: 20px;
  position: absolute;
  background: var(--neutral-0);
  color: var(--neutral-100);
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  width: 95%;
  max-width: 600px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-align: left;
}

.modal-close {
  margin-top: 10px;
}

.login-forms-button {
  max-width: 200px;
  margin: 0 auto;
}

.error-img {
  margin-right: 5px;
  margin-bottom: -3px;
}

.error-status {
  font-size: 20px;
  color: var(--error-80);
  margin-bottom: 20px;
}

.hax-login-container {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  gap: 20px;
}

.hax-login-option {
  height: 100%;
  display: flex;
  flex-direction: column;
  background: var(--neutral-0);
  padding: 20px;
  gap: 10px;
  box-shadow: 0 4px 4px #c6c8ca;
  justify-content: space-between;
}

.hax-login-title {
  font-size: 1.25em;
  font-weight: bold;
  color: var(--primary-100);
}

.hax-login-fields {
  display: flex;
  gap: 5px;
  flex-direction: column;
}
